<?php

namespace Drupal\eav_field\Plugin\Field\FieldType;

use Drupal\Core\Field\EntityReferenceFieldItemListInterface;

interface EavItemListInterface extends EntityReferenceFieldItemListInterface {

  /**
   * Return field item by attribute.
   *
   * @param mixed $attribute Attribute id, machine name or EavAttribute entity
   */
  public function getItemByAttribute($attribute): ?EavItemInterface;

  /**
   * Return eav_value entities ids.
   */
  public function referencedEntitiesIds(): array;

  /**
   * Return eav_value entities ids.
   */
  public function getValueEntitiesIds(): array;

}
